Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(4)

Issue 6445069: code review 6445069: net/http: fix send on close channel error (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 8 months ago by dfc
Modified:
2 years, 7 months ago
Reviewers:
CC:
albert.strasheim, bradfitz, golang-dev
Visibility:
Public.

Description

net/http: fix send on close channel error Fixes issue 3793. Tested using GOMAXPROCS=81 which was able to trigger a panic in TestStressSurpriseServerCloses continually on a Core i5.

Patch Set 1 #

Patch Set 2 : diff -r af9e9fe6bc5a https://code.google.com/p/go #

Patch Set 3 : diff -r af9e9fe6bc5a https://code.google.com/p/go #

Patch Set 4 : diff -r 53116ca07207 https://code.google.com/p/go #

Patch Set 5 : diff -r 4fc1c61c3c2c https://code.google.com/p/go #

Patch Set 6 : diff -r 4fc1c61c3c2c https://go.googlecode.com/hg/ #

Unified diffs Side-by-side diffs Delta from patch set Stats (+17 lines, -13 lines) Patch
M src/pkg/net/http/transport.go View 1 2 3 4 2 chunks +17 lines, -13 lines 0 comments Download

Messages

Total messages: 7
albert.strasheim
This fixed seemed to work. LG to anyone? http://code.google.com/p/go/issues/detail?id=3793
2 years, 7 months ago (2012-08-13 14:45:38 UTC) #1
dfc
On 2012/08/13 14:45:38, albert.strasheim wrote: > This fixed seemed to work. LG to anyone? > ...
2 years, 7 months ago (2012-08-13 23:12:43 UTC) #2
dfc
Hello fullung@gmail.com, bradfitz@golang.org (cc: golang-dev@googlegroups.com), I'd like you to review this change to https://code.google.com/p/go
2 years, 7 months ago (2012-08-17 11:05:13 UTC) #3
bradfitz
LGTM I don't think this needs an additional test, considering the existing ones (despite high ...
2 years, 7 months ago (2012-08-20 04:39:19 UTC) #4
dfc
Thanks Brad, 81 shall be my new magic number. On Mon, Aug 20, 2012 at ...
2 years, 7 months ago (2012-08-20 04:41:20 UTC) #5
dfc
Hello fullung@gmail.com, bradfitz@golang.org (cc: golang-dev@googlegroups.com), Please take another look.
2 years, 7 months ago (2012-08-21 00:58:37 UTC) #6
dfc
2 years, 7 months ago (2012-08-21 01:18:29 UTC) #7
*** Submitted as http://code.google.com/p/go/source/detail?r=26b62d1db69f ***

net/http: fix send on close channel error

Fixes issue 3793.

Tested using GOMAXPROCS=81 which was able to trigger a panic
in TestStressSurpriseServerCloses continually on a Core i5.

R=fullung, bradfitz
CC=golang-dev
http://codereview.appspot.com/6445069
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld e6eadc5